/**
 * Load signal handlers and hook into process exit events.
 */
/*@__NO_SIDE_EFFECTS__*/
export declare function load(): void;
export interface OnExitOptions {
    alwaysLast?: boolean;
}
/**
 * Register a callback to run on process exit or signal.
 */
/*@__NO_SIDE_EFFECTS__*/
export declare function onExit(cb: (code: number | null, signal: string | null) => void, options?: OnExitOptions | undefined): () => void;
/**
 * Get the list of signals that are currently being monitored.
 */
/*@__NO_SIDE_EFFECTS__*/
export declare function signals(): string[] | undefined;
/**
 * Unload signal handlers and restore original process behavior.
 */
/*@__NO_SIDE_EFFECTS__*/
export declare function unload(): void;
